Name:            unifont
Version:         6.3.20140214
Release:         1%{?dist}
License:         GPLv2+ and GFDL
Url:             https://savannah.gnu.org/projects/unifont
Summary:         Tools and glyph descriptions in a very simple text format

Source0:         http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:   xorg-x11-font-utils
BuildRequires:   fontforge
BuildRequires:   fontpackages-devel
Requires(post):  info
Requires(preun): info

%description
Unifont is a Unicode font with a glyph for every visible Unicode Basic
Multilingual Plane code point and more, with supporting utilities to
modify the font. This package contains tools and glyph descriptions.

%package fonts
BuildArch: noarch
Summary: Unicode font with a glyph for every visible BMP code point

Requires:        fontpackages-filesystem

%description fonts
Unifont is a fixed-width Unicode font with a glyph for every visible
Unicode Basic Multilingual Plane code point and more. The latest
version of Unifont includes approximately 54,700 glyphs for all the
visible Unicode BMP code points.

This font strives for very wide coverage rather than beauty, so use it
only as fallback or for special purposes.

%prep
%setup -q
# Disable rebuilding during installation
sed -i 's/^install: .*/install:/' Makefile
sed -i 's/install -s/install/' src/Makefile

%build
# Makefile is broken with parallel builds
make CFLAGS='%{optflags}'
make -C doc unifont.info

%install
%make_install USRDIR=/usr COMPRESS=0 TTFDEST='$(DESTDIR)/usr/share/fonts/unifont'
find %{buildroot}/usr/share/unifont/ -type f \! -name %{name}.hex -delete
rm -rv %{buildroot}/usr/share/fonts/X11
rm -v %{buildroot}%{_fontdir}/*sample*
rm -v %{buildroot}%{_fontdir}/unifont_*.ttf
install -Dm0644 doc/unifont.info %{buildroot}/%{_infodir}/unifont.info
# Remove APL font for now
rm %{buildroot}/usr/share/consolefonts/Unifont-APL8x16.psf.gz

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_datadir}/%{name}/
%doc NEWS README COPYING
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_infodir}/unifont.*

%_font_pkg *.ttf
%dir %{_pkgdocdir}/
%doc %{_pkgdocdir}/COPYING

%changelog
* Fri Feb 07 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20140214-1
- Update to new upstream version
- License for info files is changed to GFDL

* Fri Feb 07 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20140204-1
- Update to new upstream version

* Sun Feb 02 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20140202-1
- Update to new upstream version

* Sat Dec 28 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20131221-2
- Move BR: fontpackages-devel to -fonts not to the main package

* Fri Dec 27 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20131221-1
- Update to new upstream version

* Thu Dec 05 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20131020-4
- Do not strip binaries during installation

* Thu Dec 05 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20131020-3
- Fix build flags

* Sun Dec 01 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20131020-2
- Add missing BuildRequires

* Sun Dec 01 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.3.20131020-1
- Initial package
